Closed Bug 356721 Opened 14 years ago Closed 14 years ago

random crash when surfing internet, possibly related to speed of the internet [@ _longjmp]

Categories

(Core :: General, defect)

1.8 Branch
PowerPC
macOS
defect
Not set
major

Tracking

()

RESOLVED DUPLICATE of bug 353962

People

(Reporter: behun, Unassigned)

Details

(Keywords: hang)

User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en) AppleWebKit/418.9 (KHTML, like Gecko) Safari/419.3
Build Identifier: Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1) Gecko/20061014 BonEcho/2.0 ID:2006101403

When surfing the internet Firefox crashes.  However, when I connect over bluetooth with my phone ( ~8 kbps) it crashes more often and usually within minutes of surfing the internet.

When it crashes, I have to foce quit the application and often it will cause problems reloading the browser.

Also, I have disabled my extensions and it still causes problems.

Reproducible: Always




Macbook Pro 17inches
2.16 Dual Core
1 gig Ram
Can you please attach an apple crashlog report.
Severity: major → critical
Keywords: crash, stackwanted
Sorry for taking while to get back, lost power because of an earthquake here.  Also, I got a crashlog for a crash but I believe it does not relate to this.  Most of the times when it crashes, it seems to just freeze and a force quit has to be done while then no crashlog appears.  However, here is a crashlog that I got from earlier.

Also, it seems that the crashing increases it you download an update but wait to install it.

Date/Time:      2006-10-15 18:45:00.191 -1000
OS Version:     10.4.8 (Build 8L2127)
Report Version: 4

Command: firefox-bin
Path:    /Applications/BonEcho.app/Contents/MacOS/firefox-bin
Parent:  WindowServer [59]

Version: 2.0 (2.0)

PID:    268
Thread: 0

Exception:  EXC_BAD_INSTRUCTION (0x0002)
Code[0]:    0x0000000d
Code[1]:    0x00006e64


Thread 0 Crashed:
0   libSystem.B.dylib              	0x90029ae5 _longjmp + 37
1   <<00000000>> 	0xc00101af 0 + -1073675857

Thread 1:
0   libSystem.B.dylib              	0x90019d3c select + 12
1   libnspr4.dylib                 	0x00fc1878 PR_Poll + 134
2   org.mozilla.firefox            	0x0035694b nsSocketTransportService::Poll(unsigned*) + 99
3   org.mozilla.firefox            	0x00356f9c nsSocketTransportService::Run() + 480
4   libxpcom_core.dylib            	0x01849f21 nsThread::Main(void*) + 41
5   libnspr4.dylib                 	0x00fc2eb9 PR_Select + 813
6   libSystem.B.dylib              	0x90023d87 _pthread_body + 84

Thread 2:
0   libSystem.B.dylib              	0x90048a47 semaphore_timedwait_signal_trap + 7
1   libnspr4.dylib                 	0x00fbe550 PR_Lock + 246
2   libnspr4.dylib                 	0x00fbe8a7 PR_WaitCondVar + 75
3   libxpcom_core.dylib            	0x0184c238 TimerThread::Run() + 74
4   libxpcom_core.dylib            	0x01849f21 nsThread::Main(void*) + 41
5   libnspr4.dylib                 	0x00fc2eb9 PR_Select + 813
6   libSystem.B.dylib              	0x90023d87 _pthread_body + 84

Thread 3:
0   libSystem.B.dylib              	0x90048a47 semaphore_timedwait_signal_trap + 7
1   libnspr4.dylib                 	0x00fbe550 PR_Lock + 246
2   libnspr4.dylib                 	0x00fbe8a7 PR_WaitCondVar + 75
3   org.mozilla.firefox            	0x0036b320 nsSSLThread::Run() + 166
4   libnspr4.dylib                 	0x00fc2eb9 PR_Select + 813
5   libSystem.B.dylib              	0x90023d87 _pthread_body + 84

Thread 4:
0   libSystem.B.dylib              	0x90048a47 semaphore_timedwait_signal_trap + 7
1   libnspr4.dylib                 	0x00fbe550 PR_Lock + 246
2   libnspr4.dylib                 	0x00fbe8a7 PR_WaitCondVar + 75
3   org.mozilla.firefox            	0x00367f8c nsCertVerificationThread::Run() + 278
4   libnspr4.dylib                 	0x00fc2eb9 PR_Select + 813
5   libSystem.B.dylib              	0x90023d87 _pthread_body + 84

Thread 5:
0   libSystem.B.dylib              	0x90024427 semaphore_wait_signal_trap + 7
1   libnspr4.dylib                 	0x00fbe931 PR_WaitCondVar + 213
2   org.mozilla.firefox            	0x005452b8 mozStorageService::FinishAsyncIO() + 784
3   org.mozilla.firefox            	0x0089455e AsyncWriteThread::Run() + 14
4   libxpcom_core.dylib            	0x01849f21 nsThread::Main(void*) + 41
5   libnspr4.dylib                 	0x00fc2eb9 PR_Select + 813
6   libSystem.B.dylib              	0x90023d87 _pthread_body + 84

Thread 6:
0   libSystem.B.dylib              	0x90024427 semaphore_wait_signal_trap + 7
1   libnspr4.dylib                 	0x00fbe931 PR_WaitCondVar + 213
2   libnspr4.dylib                 	0x00fbeb91 PR_Wait + 53
3   libxpcom_core.dylib            	0x018476a2 PL_WaitForEvent + 62
4   libxpcom_core.dylib            	0x018488e7 nsEventQueueImpl::WaitForEvent(PLEvent**) + 47
5   org.mozilla.firefox            	0x002ff557 nsUrlClassifierCallbackWrapper::QueryInterface(nsID const&, void**) + 301
6   libnspr4.dylib                 	0x00fc2eb9 PR_Select + 813
7   libSystem.B.dylib              	0x90023d87 _pthread_body + 84

Thread 7:
0   libSystem.B.dylib              	0x90009857 mach_msg_trap + 7
1   com.apple.CoreFoundation       	0x9082869a CFRunLoopRunSpecific + 2014
2   com.apple.CoreFoundation       	0x90839577 CFRunLoopRun + 60
3   com.apple.QuickTime            	0x9438eace QTSNetworkThread_RunThread + 117
4   libSystem.B.dylib              	0x90023d87 _pthread_body + 84

Thread 8:
0   libSystem.B.dylib              	0x90019d3c select + 12
1   libSystem.B.dylib              	0x90023d87 _pthread_body + 84

Thread 9:
0   libSystem.B.dylib              	0x90009857 mach_msg_trap + 7
1   com.apple.CoreFoundation       	0x9082869a CFRunLoopRunSpecific + 2014
2   com.apple.CoreFoundation       	0x90827eb5 CFRunLoopRunInMode + 61
3   com.apple.audio.CoreAudio      	0x9145b8da HALRunLoop::OwnThread(void*) + 158
4   com.apple.audio.CoreAudio      	0x9145b6f5 CAPThread::Entry(CAPThread*) + 93
5   libSystem.B.dylib              	0x90023d87 _pthread_body + 84

Thread 10:
0   libSystem.B.dylib              	0x90009857 mach_msg_trap + 7
1   ...romedia.Flash Player.plugin 	0x1a7df9b1 native_ShockwaveFlash_TCallFrame + 325701
2   libSystem.B.dylib              	0x90023d87 _pthread_body + 84

Thread 11:
0   libSystem.B.dylib              	0x90048a47 semaphore_timedwait_signal_trap + 7
1   com.apple.audio.CoreAudio      	0x91468a10 CAGuard::WaitFor(unsigned long long) + 212
2   com.apple.audio.CoreAudio      	0x91468932 CAGuard::WaitUntil(unsigned long long) + 66
3   com.apple.audio.CoreAudio      	0x914673a2 HP_IOThread::WorkLoop() + 690
4   com.apple.audio.CoreAudio      	0x914670e9 HP_IOThread::ThreadEntry(HP_IOThread*) + 17
5   com.apple.audio.CoreAudio      	0x9145b6f5 CAPThread::Entry(CAPThread*) + 93
6   libSystem.B.dylib              	0x90023d87 _pthread_body + 84

Thread 12:
0   libSystem.B.dylib              	0x90048a47 semaphore_timedwait_signal_trap + 7
1   libnspr4.dylib                 	0x00fbe550 PR_Lock + 246
2   libnspr4.dylib                 	0x00fbe8a7 PR_WaitCondVar + 75
3   org.mozilla.firefox            	0x0031af29 nsIOThreadPool::ThreadFunc(void*) + 145
4   libnspr4.dylib                 	0x00fc2eb9 PR_Select + 813
5   libSystem.B.dylib              	0x90023d87 _pthread_body + 84

Thread 13:
0   libSystem.B.dylib              	0x90048a47 semaphore_timedwait_signal_trap + 7
1   libnspr4.dylib                 	0x00fbe550 PR_Lock + 246
2   libnspr4.dylib                 	0x00fbe8a7 PR_WaitCondVar + 75
3   org.mozilla.firefox            	0x005c1f9a nsHostResolver::GetHostToLookup(nsHostRecord**) + 212
4   org.mozilla.firefox            	0x005c2747 nsHostResolver::ThreadFunc(void*) + 123
5   libnspr4.dylib                 	0x00fc2eb9 PR_Select + 813
6   libSystem.B.dylib              	0x90023d87 _pthread_body + 84

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x00000001    ebx: 0x00000000 ecx: 0x1a961bf8 edx: 0x90029ac0
  edi: 0x00000000    esi: 0x00000001 ebp: 0x19d68820 esp: 0x00000001
   ss: 0x0000001f    efl: 0x00010202 eip: 0x90029ae5  cs: 0x00000017
   ds: 0x0000001f     es: 0x0000001f  fs: 0x00000000  gs: 0x00000037

Binary Images Description:
    0x1000 -   0x9aefff org.mozilla.firefox 2.0	/Applications/BonEcho.app/Contents/MacOS/firefox-bin
  0xee2000 -   0xf73fff libmozjs.dylib 	/Applications/BonEcho.app/Contents/MacOS/libmozjs.dylib
  0xf8e000 -   0xf8efff libxpcom.dylib 	/Applications/BonEcho.app/Contents/MacOS/libxpcom.dylib
  0xf92000 -   0xf97fff libplds4.dylib 	/Applications/BonEcho.app/Contents/MacOS/libplds4.dylib
  0xf9c000 -   0xfa2fff libplc4.dylib 	/Applications/BonEcho.app/Contents/MacOS/libplc4.dylib
  0xfa8000 -   0xfcdfff libnspr4.dylib 	/Applications/BonEcho.app/Contents/MacOS/libnspr4.dylib
  0xfde000 -   0xfedfff libxpcom_compat.dylib 	/Applications/BonEcho.app/Contents/MacOS/libxpcom_compat.dylib
 0x1808000 -  0x1878fff libxpcom_core.dylib 	/Applications/BonEcho.app/Contents/MacOS/libxpcom_core.dylib
 0x18da000 -  0x18f3fff libsmime3.dylib 	/Applications/BonEcho.app/Contents/MacOS/libsmime3.dylib
 0x1a05000 -  0x1a25fff libssl3.dylib 	/Applications/BonEcho.app/Contents/MacOS/libssl3.dylib
 0x1a2f000 -  0x1a84fff libnss3.dylib 	/Applications/BonEcho.app/Contents/MacOS/libnss3.dylib
 0x1aa0000 -  0x1ae5fff libsoftokn3.dylib 	/Applications/BonEcho.app/Contents/MacOS/libsoftokn3.dylib
 0x1c89000 -  0x1c91fff libmyspell.dylib 	/Applications/BonEcho.app/Contents/MacOS/components/libmyspell.dylib
 0x1dbc000 -  0x1dd7fff libmetrics.dylib 	/Users/jdbehun/Library/Application Support/Firefox/Profiles/kxt8wsaq.default/extensions/{3112ca9c-de6d-4884-a869-9855de68056c}/components/libmetrics.dylib
0x12810000 - 0x12811fff com.apple.textencoding.unicode 2.1	/System/Library/TextEncodings/Unicode Encodings.bundle/Contents/MacOS/Unicode Encodings
0x12867000 - 0x128b7fff libgoogletoolbar.dylib 	/Users/jdbehun/Library/Application Support/Firefox/Profiles/kxt8wsaq.default/extensions/{3112ca9c-de6d-4884-a869-9855de68056c}/components/libgoogletoolbar.dylib
0x128bd000 - 0x128ebfff libnssckbi.dylib 	/Applications/BonEcho.app/Contents/MacOS/libnssckbi.dylib
0x151aa000 - 0x151b4fff libspellchecker.dylib 	/Applications/BonEcho.app/Contents/MacOS/components/libspellchecker.dylib
0x1568d000 - 0x156e9fff libfreebl3.dylib 	/Applications/BonEcho.app/Contents/MacOS/libfreebl3.dylib
0x1877c000 - 0x18795fff com.apple.AppleIntermediateCodec 1.1 (141)	/Library/QuickTime/AppleIntermediateCodec.component/Contents/MacOS/AppleIntermediateCodec
0x1879a000 - 0x187b3fff com.apple.applepixletvideo 1.2.9 (1.2d9)	/System/Library/QuickTime/ApplePixletVideo.component/Contents/MacOS/ApplePixletVideo
0x19494000 - 0x194d0fff com.apple.QuickTimeFireWireDV.component 7.1.3	/System/Library/QuickTime/QuickTimeFireWireDV.component/Contents/MacOS/QuickTimeFireWireDV
0x196f3000 - 0x196f8fff com.apple.audio.AppleHDAHALPlugIn 1.2.4 (1.2.4a21)	/System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
0x1a405000 - 0x1a919fff com.macromedia.Flash Player.plugin 9.0.0 (1.0.4f20)	/Library/Internet Plug-Ins/Flash Player.plugin/Contents/MacOS/Flash Player
0x70000000 - 0x7010bfff com.apple.audio.units.Components 1.4.3	/System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
0x8fe00000 - 0x8fe49fff dyld 46.9	/usr/lib/dyld
0x90000000 - 0x9016ffff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x901bf000 - 0x901c1fff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x901c3000 - 0x901fffff com.apple.CoreText 1.1.1 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90226000 - 0x902fbfff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9031b000 - 0x9076ffff com.apple.CoreGraphics 1.258.38 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x90806000 - 0x908cefff com.apple.CoreFoundation 6.4.6 (368.27)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x9090c000 - 0x9090cfff com.apple.CoreServices 10.4 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x9090e000 - 0x90a01fff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x90a51000 - 0x90ad0fff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x90af9000 - 0x90b5dfff libstdc++.6.dylib 	/usr/lib/libstdc++.6.dylib
0x90bcc000 - 0x90bd3fff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x90bd8000 - 0x90c4bfff com.apple.framework.IOKit 1.4.6 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90c60000 - 0x90c72fff libauto.dylib 	/usr/lib/libauto.dylib
0x90c78000 - 0x90f1efff com.apple.CoreServices.CarbonCore 682.15	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90f61000 - 0x90fc9fff com.apple.CoreServices.OSServices 4.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x91001000 - 0x9103ffff com.apple.CFNetwork 129.18	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x91052000 - 0x91062fff com.apple.WebServices 1.1.3 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x9106d000 - 0x910ebfff com.apple.SearchKit 1.0.5	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x91120000 - 0x9113efff com.apple.Metadata 10.4.4 (121.36)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x9114a000 - 0x91158fff libz.1.dylib 	/usr/lib/libz.1.dylib
0x9115b000 - 0x912fafff com.apple.security 4.5.1 (29002)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x913f8000 - 0x91400fff com.apple.DiskArbitration 2.1.1	/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x91407000 - 0x9142dfff com.apple.SystemConfiguration 1.8.6	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x9143f000 - 0x91446fff libbsm.dylib 	/usr/lib/libbsm.dylib
0x9144a000 - 0x914c3fff com.apple.audio.CoreAudio 3.0.4	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x91511000 - 0x91511fff com.apple.ApplicationServices 10.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x91513000 - 0x9153efff com.apple.AE 314 (313)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x91551000 - 0x91625fff com.apple.ColorSync 4.4.8	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x91660000 - 0x916ddfff com.apple.print.framework.PrintCore 4.6 (177.13)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x9170a000 - 0x917b3fff com.apple.QD 3.10.21 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x917d9000 - 0x91824fff com.apple.HIServices 1.5.2 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x91843000 - 0x91859fff com.apple.LangAnalysis 1.6.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91865000 - 0x9187ffff com.apple.FindByContent 1.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x91889000 - 0x918c6fff com.apple.LaunchServices 181	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x918da000 - 0x918e6fff com.apple.speech.synthesis.framework 3.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x918ed000 - 0x91928fff com.apple.ImageIO.framework 1.5.0	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x9193a000 - 0x919ecfff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x91a32000 - 0x91a48fff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x91a4d000 - 0x91a6bfff libJPEG.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91a70000 - 0x91acefff libJP2.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91ae0000 - 0x91ae4fff libGIF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91ae6000 - 0x91b63fff libRaw.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91b67000 - 0x91ba4fff libTIFF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91baa000 - 0x91bc4fff libPng.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91bc9000 - 0x91bcbfff libRadiance.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91bcd000 - 0x91bcdfff com.apple.Accelerate 1.3.1 (Accelerate 1.3.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91bcf000 - 0x91c5dfff com.apple.vImage 2.5	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91c64000 - 0x91c64fff com.apple.Accelerate.vecLib 3.3.1 (vecLib 3.3.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91c66000 - 0x91cbffff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91cc8000 - 0x91cecfff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91cf4000 - 0x920fdfff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x92137000 - 0x924ebfff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x92518000 - 0x9259cfff com.apple.DesktopServices 1.3.4	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x925d8000 - 0x92808fff com.apple.Foundation 6.4.7 (567.28)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92914000 - 0x929f2fff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
0x92a0f000 - 0x92afcfff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x92b0c000 - 0x92b23fff libGL.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92b2e000 - 0x92b86fff libGLU.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92b9a000 - 0x92b9afff com.apple.Carbon 10.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92b9c000 - 0x92bacfff com.apple.ImageCapture 3.0.4	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92bba000 - 0x92bc2fff com.apple.speech.recognition.framework 3.6	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92bc8000 - 0x92bcdfff com.apple.securityhi 2.0.1 (24742)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92bd3000 - 0x92c64fff com.apple.ink.framework 101.2.1 (71)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92c78000 - 0x92c7bfff com.apple.help 1.0.3 (32.1)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92c7e000 - 0x92c9bfff com.apple.openscripting 1.2.5 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x92cab000 - 0x92cb1fff com.apple.print.framework.Print 5.2 (192.4)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92cb7000 - 0x92d1afff com.apple.htmlrendering 66.1 (1.1.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x92d3e000 - 0x92d7ffff com.apple.NavigationServices 3.4.4 (3.4.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x92da6000 - 0x92db3fff com.apple.audio.SoundManager 3.9.1	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x92dba000 - 0x92dbffff com.apple.CommonPanels 1.2.3 (73)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x92dc4000 - 0x930b6fff com.apple.HIToolbox 1.4.8 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x931bb000 - 0x931c6fff com.apple.opengl 1.4.12	/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x93256000 - 0x93256fff com.apple.Cocoa 6.4 (???)	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x93258000 - 0x9390efff com.apple.AppKit 6.4.8 (824.42)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x93c8f000 - 0x93d09fff com.apple.CoreData 90	/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x93d42000 - 0x93e03fff com.apple.audio.toolbox.AudioToolbox 1.4.3	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x93e43000 - 0x93e43fff com.apple.audio.units.AudioUnit 1.4.2	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x93e45000 - 0x94017fff com.apple.QuartzCore 1.4.9	/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x94068000 - 0x940a9fff libsqlite3.0.dylib 	/usr/lib/libsqlite3.0.dylib
0x940b1000 - 0x940ebfff libGLImage.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x94271000 - 0x94280fff libCGATS.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x94287000 - 0x94292fff libCSync.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x942de000 - 0x942f8fff libRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x942fe000 - 0x945b7fff com.apple.QuickTime 7.1.3	/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x95fe0000 - 0x95ff6fff libJapaneseConverter.dylib 	/System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0x95ff8000 - 0x96019fff libKoreanConverter.dylib 	/System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0x9603c000 - 0x9604efff libTraditionalChineseConverter.dylib 	/System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x969f2000 - 0x969f2fff com.apple.vecLib 3.3.1 (vecLib 3.3.1)	/System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x97054000 - 0x97059fff com.apple.agl 2.5.9 (AGL-2.5.9)	/System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x973d3000 - 0x973e7fff com.apple.audio.CoreAudioKit 1.0.1	/System/Library/Frameworks/CoreAudioKit.framework/Versions/A/CoreAudioKit
0x98a8a000 - 0x99574fff com.apple.QuickTimeComponents.component 7.1.3	/System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x99783000 - 0x99785fff com.apple.QuickTimeH264.component 7.1.3	/System/Library/QuickTime/QuickTimeH264.component/Contents/MacOS/QuickTimeH264
0x99787000 - 0x9992ffff QuickTimeH264.scalar 	/System/Library/QuickTime/QuickTimeH264.component/Contents/Resources/QuickTimeH264.scalar
0x9999f000 - 0x99a5cfff com.apple.QuickTimeMPEG4.component 7.1.3	/System/Library/QuickTime/QuickTimeMPEG4.component/Contents/MacOS/QuickTimeMPEG4
0x99a76000 - 0x99bc7fff com.apple.QuickTimeStreaming.component 7.1.3	/System/Library/QuickTime/QuickTimeStreaming.component/Contents/MacOS/QuickTimeStreaming
0x9a12e000 - 0x9a156fff com.apple.QuickTime Plugin.plugin 7.1.3	/Library/Internet Plug-Ins/QuickTime Plugin.plugin/Contents/MacOS/QuickTime Plugin

Model: MacBookPro1,2, BootROM MBP12.0061.B00, 2 processors, Intel Core Duo, 2.16 GHz, 1 GB
Graphics: ATI Radeon X1600, ATY,RadeonX1600, PCIe, 256 MB
Memory Module: BANK 1/DIMM1, 1 GB, DDR2 SDRAM, 667 MHz
AirPort: spairport_wireless_card_type_airport_extreme (0x168C, 0x86), 0.1.27
Bluetooth: Version 1.7.9f12, 2 service, 1 devices, 1 incoming serial ports
Network Service: Bluetooth, PPP (PPPSerial), ppp0
Serial ATA Device: ST910021AS, 93.16 GB
Parallel ATA Device: MATSHITADVD-R   UJ-846, 7.24 GB
USB Device: Built-in iSight, Micron, Up to 480 Mb/sec, 500 mA
USB Device: Apple Internal Keyboard / Trackpad, Apple Computer, Up to 12 Mb/sec, 500 mA
USB Device: IR Receiver, Apple Computer, Inc., Up to 12 Mb/sec, 500 mA
USB Device: Bluetooth HCI, Up to 12 Mb/sec, 500 mA
Don't know too much about longjmps. Can you answer Mark's question in bug 353046 comment 6? (That's another bug with a similar crash.)
Keywords: stackwanted
Product: Firefox → Core
QA Contact: general → general
Summary: random crash when surfing internet, possibly related to speed of the internet → random crash when surfing internet, possibly related to speed of the internet [@ _longjmp]
Version: unspecified → 1.8 Branch
Here is another crashlog that may be more appropriate to the crashes that were going on.

**********

Host Name:      OrganicSalsa
Date/Time:      2006-08-14 19:23:47.527 -1000
OS Version:     10.4.7 (Build 8J2135)
Report Version: 4

Command: firefox-bin
Path:    /Applications/BonEcho.app/Contents/MacOS/firefox-bin
Parent:  launchd [1]

Version: 2.0b1 (2.0b1)

PID:    284
Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x000000d4

Thread 0 Crashed:
0   org.mozilla.firefox 	0x001483d3 nsCSSStyleSheet::SetComplete() + 55
1   org.mozilla.firefox 	0x001051d1 CSSLoaderImpl::SheetComplete(SheetLoadData*, int) + 131
2   org.mozilla.firefox 	0x0010647f SheetLoadData::OnStreamComplete(nsIUnicharStreamLoader*, nsISupports*, unsigned, nsIUnicharInputStream*) + 493
3   org.mozilla.firefox 	0x0034e99a nsUnicharStreamLoader::OnStopRequest(nsIRequest*, nsISupports*, unsigned) + 378
4   org.mozilla.firefox 	0x0038d751 nsJARChannel::OnStopRequest(nsIRequest*, nsISupports*, unsigned) + 67
5   org.mozilla.firefox 	0x00348198 nsInputStreamPump::OnStateStop() + 88
6   org.mozilla.firefox 	0x0034871d nsInputStreamPump::OnInputStreamReady(nsIAsyncInputStream*) + 133
7   libxpcom_core.dylib 	0x01872b45 nsInputStreamReadyEvent::EventHandler(PLEvent*) + 45
8   libxpcom_core.dylib 	0x01847575 PL_HandleEvent + 21
9   libxpcom_core.dylib 	0x0184782e PL_ProcessPendingEvents + 103
10  libxpcom_core.dylib 	0x0184894c nsEventQueueImpl::ProcessPendingEvents() + 54
11  libxpcom_core.dylib 	0x0180e439 NS_ShutdownXPCOM_P + 323
12  org.mozilla.firefox 	0x00003188 ScopedXPCOMStartup::~ScopedXPCOMStartup [in-charge]() + 46
13  org.mozilla.firefox 	0x00005e91 XRE_main + 4635
14  org.mozilla.firefox 	0x00002f78 main + 32
15  org.mozilla.firefox 	0x00002efe start + 270
16  org.mozilla.firefox 	0x00002e19 start + 41

Thread 1:
0   libSystem.B.dylib   	0x900492e7 semaphore_timedwait_signal_trap + 7
1   libnspr4.dylib      	0x00fb24d0 PR_Lock + 246
2   libnspr4.dylib      	0x00fb2827 PR_WaitCondVar + 75
3   libxpcom_core.dylib 	0x0184c228 TimerThread::Run() + 74
4   libxpcom_core.dylib 	0x01849f11 nsThread::Main(void*) + 41
5   libnspr4.dylib      	0x00fb6e39 PR_Select + 813
6   libSystem.B.dylib   	0x90024b07 _pthread_body + 84

Thread 0 crashed with i386 Thread State:
eax: 0x00000000    ebx: 0x01ed0490 ecx:0x00000004 edx: 0x020ed800
edi: 0x00000000    esi: 0x01ed0530 ebp:0xbffff458 esp: 0xbffff440
 ss: 0x0000002f    efl: 0x00010246 eip:0x001483d3  cs: 0x00000027
 ds: 0x0000002f     es: 0x0000002f  fs:0x00000000  gs: 0x00000037

Binary Images Description:
    0x1000 -   0x9a8fff org.mozilla.firefox 2.0b1	/Applications/BonEcho.app/Contents/MacOS/firefox-bin
  0xeda000 -   0xf67fff libmozjs.dylib 	/Applications/BonEcho.app/Contents/MacOS/libmozjs.dylib
  0xf82000 -   0xf82fff libxpcom.dylib 	/Applications/BonEcho.app/Contents/MacOS/libxpcom.dylib
  0xf86000 -   0xf8bfff libplds4.dylib 	/Applications/BonEcho.app/Contents/MacOS/libplds4.dylib
  0xf90000 -   0xf96fff libplc4.dylib 	/Applications/BonEcho.app/Contents/MacOS/libplc4.dylib
  0xf9c000 -   0xfc1fff libnspr4.dylib 	/Applications/BonEcho.app/Contents/MacOS/libnspr4.dylib
  0xfd2000 -   0xfebfff libsmime3.dylib 	/Applications/BonEcho.app/Contents/MacOS/libsmime3.dylib
 0x1808000 -  0x1878fff libxpcom_core.dylib 	/Applications/BonEcho.app/Contents/MacOS/libxpcom_core.dylib
 0x18da000 -  0x18e9fff libxpcom_compat.dylib 	/Applications/BonEcho.app/Contents/MacOS/libxpcom_compat.dylib
 0x1a05000 -  0x1a25fff libssl3.dylib 	/Applications/BonEcho.app/Contents/MacOS/libssl3.dylib
 0x1a2f000 -  0x1a84fff libnss3.dylib 	/Applications/BonEcho.app/Contents/MacOS/libnss3.dylib
 0x1aa0000 -  0x1ae5fff libsoftokn3.dylib 	/Applications/BonEcho.app/Contents/MacOS/libsoftokn3.dylib
 0x1d16000 -  0x1d20fff libjsd.dylib 	/Applications/BonEcho.app/Contents/MacOS/components/libjsd.dylib
 0x1d25000 -  0x1d2dfff libmyspell.dylib 	/Applications/BonEcho.app/Contents/MacOS/components/libmyspell.dylib
 0x1d31000 -  0x1d3bfff libspellchecker.dylib 	/Applications/BonEcho.app/Contents/MacOS/components/libspellchecker.dylib
 0x1d48000 -  0x1d7afff libxpinstall.dylib 	/Applications/BonEcho.app/Contents/MacOS/components/libxpinstall.dylib
0x8fe00000 - 0x8fe4cfff dyld 45.3	/usr/lib/dyld
0x90000000 - 0x9016efff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x901be000 - 0x901c0fff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x901c2000 - 0x901fefff com.apple.CoreText 1.1.1 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90225000 - 0x902fafff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9031a000 - 0x9076afff com.apple.CoreGraphics 1.258.33 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x90801000 - 0x908c9fff com.apple.CoreFoundation 6.4.6 (368.27)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x90907000 - 0x90907fff com.apple.CoreServices 10.4 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x90909000 - 0x909fcfff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x90a4c000 - 0x90acbfff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x90af4000 - 0x90b57fff libstdc++.6.dylib 	/usr/lib/libstdc++.6.dylib
0x90bc6000 - 0x90bcdfff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x90bd2000 - 0x90c42fff com.apple.framework.IOKit 1.4.4 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90c57000 - 0x90c69fff libauto.dylib 	/usr/lib/libauto.dylib
0x90c6f000 - 0x90f14fff com.apple.CoreServices.CarbonCore 682.12	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90f57000 - 0x90fbffff com.apple.CoreServices.OSServices 4.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x90ff7000 - 0x91035fff com.apple.CFNetwork 129.16	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x91047000 - 0x91057fff com.apple.WebServices 1.1.3 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x91062000 - 0x910e0fff com.apple.SearchKit 1.0.5	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x91115000 - 0x91133fff com.apple.Metadata 10.4.4 (121.36)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x9113f000 - 0x9114dfff libz.1.dylib 	/usr/lib/libz.1.dylib
0x91150000 - 0x91306fff com.apple.security 4.4.1 (27569)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x913f5000 - 0x913fdfff com.apple.DiskArbitration 2.1	/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x91404000 - 0x9142afff com.apple.SystemConfiguration 1.8.6	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x9143c000 - 0x91443fff libbsm.dylib 	/usr/lib/libbsm.dylib
0x91447000 - 0x914c0fff com.apple.audio.CoreAudio 3.0.4	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9150e000 - 0x9150efff com.apple.ApplicationServices 10.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x91510000 - 0x9153bfff com.apple.AE 314 (313)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9154e000 - 0x91622fff com.apple.ColorSync 4.4.6	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9165b000 - 0x916d8fff com.apple.print.framework.PrintCore 4.6 (177.13)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x91705000 - 0x917affff com.apple.QD 3.10.20 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x917d5000 - 0x91820fff com.apple.HIServices 1.5.2 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x9183f000 - 0x91855fff com.apple.LangAnalysis 1.6.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91861000 - 0x9187bfff com.apple.FindByContent 1.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x91885000 - 0x918c2fff com.apple.LaunchServices 181	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x918d6000 - 0x918e1fff com.apple.speech.synthesis.framework 3.4	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x918e8000 - 0x91920fff com.apple.ImageIO.framework 1.4.8	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x91932000 - 0x919e4fff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x91a2a000 - 0x91a40fff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x91a45000 - 0x91a61fff libJPEG.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91a66000 - 0x91ac4fff libJP2.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91ad4000 - 0x91ad8fff libGIF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91ada000 - 0x91b35fff libRaw.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91b39000 - 0x91b76fff libTIFF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91b7c000 - 0x91b96fff libPng.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91b9b000 - 0x91b9dfff libRadiance.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91b9f000 - 0x91b9ffff com.apple.Accelerate 1.2.2 (Accelerate 1.2.2)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91ba1000 - 0x91c2bfff com.apple.vImage 2.4	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91c32000 - 0x91c32fff com.apple.Accelerate.vecLib 3.2.2 (vecLib 3.2.2)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91c34000 - 0x91c79fff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91c81000 - 0x91ca6fff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91cad000 - 0x92230fff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x9226d000 - 0x9261ffff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x9264c000 - 0x926d0fff com.apple.DesktopServices 1.3.4	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x9270c000 - 0x9293efff com.apple.Foundation 6.4.6 (567.27)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92a4a000 - 0x92b28fff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
0x92b45000 - 0x92c32fff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x92c42000 - 0x92c59fff libGL.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92c64000 - 0x92cbbfff libGLU.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92ccf000 - 0x92ccffff com.apple.Carbon 10.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92cd1000 - 0x92ce1fff com.apple.ImageCapture 3.0.4	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92cef000 - 0x92cf7fff com.apple.speech.recognition.framework 3.5	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92cfd000 - 0x92d02fff com.apple.securityhi 2.0.1 (24742)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92d08000 - 0x92d99fff com.apple.ink.framework 101.2.1 (71)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92dad000 - 0x92db0fff com.apple.help 1.0.3 (32.1)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92db3000 - 0x92dd0fff com.apple.openscripting 1.2.5 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x92de0000 - 0x92de6fff com.apple.print.framework.Print 5.2 (192.4)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92dec000 - 0x92e4ffff com.apple.htmlrendering 66.1 (1.1.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x92e73000 - 0x92eb4fff com.apple.NavigationServices 3.4.4 (3.4.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x92edb000 - 0x92ee8fff com.apple.audio.SoundManager 3.9.1	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x92eef000 - 0x92ef4fff com.apple.CommonPanels 1.2.3 (73)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x92ef9000 - 0x931ebfff com.apple.HIToolbox 1.4.8 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x932f0000 - 0x932fbfff com.apple.opengl 1.4.10	/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x9338a000 - 0x9338afff com.apple.Cocoa 6.4 (???)	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x9338c000 - 0x93a45fff com.apple.AppKit 6.4.7 (824.41)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x93dc6000 - 0x93e40fff com.apple.CoreData 90	/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x93e79000 - 0x93f3afff com.apple.audio.toolbox.AudioToolbox 1.4.3	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x93f7a000 - 0x93f7afff com.apple.audio.units.AudioUnit 1.4.2	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x93f7c000 - 0x9412afff com.apple.QuartzCore 1.4.8	/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x94178000 - 0x941b9fff libsqlite3.0.dylib 	/usr/lib/libsqlite3.0.dylib
0x941c1000 - 0x941fbfff libGLImage.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x94403000 - 0x946bafff com.apple.QuickTime 7.1.2	/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
That's an old crash report (from 2006-08-14), and that crash has been fixed (bug 347899). :\
it seems that whenever it freezes and i have to "force quit" it, it does not generate a crash log.
OK. Since it's a hang, you'll need to sample the process. This can be done using the steps outlined here: http://eudorabb.qualcomm.com/showthread.php?p=22264#post4817.
Severity: critical → major
Keywords: crashhang
Here is a report from the sampler.

# Report 2 - Timed Samples for firefox-bin (process 373)
Stacks at 2006-10-21 18:22:57 -1000
Samples (displayed/total): 6853/6853
Call graph:
    623 Thread_443f
      623 _pthread_body
        623 PR_Select
          623 nsThread::Main(void*)
            623 TimerThread::Run()
              623 PR_WaitCondVar
                623 PR_Lock
                  623 semaphore_timedwait_signal_trap
                    623 semaphore_timedwait_signal_trap
    623 Thread_5c07
      623 _pthread_body
        623 PR_Select
          623 nsThread::Main(void*)
            623 nsSocketTransportService::Run()
              623 nsSocketTransportService::Poll(unsigned*)
                623 PR_Poll
                  623 select
                    623 select
    623 Thread_5d0f
      623 start
        623 start
          623 main
            623 XRE_main
              623 nsAppStartup::Run()
                623 nsAppShell::Run()
                  623 RunApplicationEventLoop
                    623 _AcquireNextEvent
                      623 ReceiveNextEventCommon
                        623 RunCurrentEventLoopInMode
                          623 CFRunLoopRunInMode
                            623 CFRunLoopRunSpecific
                              623 PL_ProcessPendingEvents
                                623 PL_HandleEvent
                                  623 handleTimerEvent(TimerEventType*)
                                    623 nsTimerImpl::Fire()
                                      623 nsJSContext::Notify(nsITimer*)
                                        623 JS_GC
                                          623 js_GC
                                            623 PR_WaitCondVar
                                              623 semaphore_wait_signal_trap
                                                623 semaphore_wait_signal_trap
    623 Thread_6103
      623 _pthread_body
        623 PR_Select
          623 nsSSLThread::Run()
            623 PR_WaitCondVar
              623 PR_Lock
                623 semaphore_timedwait_signal_trap
                  623 semaphore_timedwait_signal_trap
    623 Thread_6203
      623 _pthread_body
        623 PR_Select
          623 nsCertVerificationThread::Run()
            623 PR_WaitCondVar
              623 PR_Lock
                622 semaphore_timedwait_signal_trap
                  622 semaphore_timedwait_signal_trap
                1 pthread_cond_timedwait
                  1 semaphore_wait_trap
                    1 semaphore_wait_trap
    623 Thread_6403
      623 _pthread_body
        623 PR_Select
          623 nsThread::Main(void*)
            623 AsyncWriteThread::Run()
              623 mozStorageService::FinishAsyncIO()
                623 PR_WaitCondVar
                  623 semaphore_wait_signal_trap
                    623 semaphore_wait_signal_trap
    623 Thread_6503
      623 _pthread_body
        623 PR_Select
          623 nsUrlClassifierCallbackWrapper::QueryInterface(nsID const&, void**)
            623 nsEventQueueImpl::WaitForEvent(PLEvent**)
              623 PL_WaitForEvent
                623 PR_Wait
                  623 PR_WaitCondVar
                    623 semaphore_wait_signal_trap
                      623 semaphore_wait_signal_trap
    623 Thread_687b
      623 _pthread_body
        623 CAPThread::Entry(CAPThread*)
          623 HALRunLoop::OwnThread(void*)
            623 CFRunLoopRunInMode
              623 CFRunLoopRunSpecific
                623 mach_msg_trap
                  623 mach_msg_trap
    623 Thread_6907
      623 _pthread_body
        623 native_ShockwaveFlash_TCallFrame
          623 mach_msg_trap
            623 mach_msg_trap
    623 Thread_6a03
      623 _pthread_body
        623 CAPThread::Entry(CAPThread*)
          623 HP_IOThread::ThreadEntry(HP_IOThread*)
            623 HP_IOThread::WorkLoop()
              561 CAGuard::WaitUntil(unsigned long long)
                560 CAGuard::WaitFor(unsigned long long)
                  560 semaphore_timedwait_signal_trap
                    560 semaphore_timedwait_signal_trap
                1 pthread_cond_timedwait_relative_np
                  1 pthread_cond_timedwait_relative_np
              61 HP_IOThread::PerformIO(AudioTimeStamp const&)
                61 IOA_Device::CallIOProcs(AudioTimeStamp const&, AudioTimeStamp const&, AudioTimeStamp const&)
                  32 HP_IOProc::Call(AudioTimeStamp const&, AudioTimeStamp const&, AudioBufferList const*, AudioTimeStamp const&, AudioBufferList*)
                    32 DefaultOutputAUEntry
                      32 DefaultOutputAUEntry
                        32 DefaultOutputAUEntry
                          31 AudioConverterFillComplexBuffer
                            31 BufferedAudioConverter::FillBuffer(unsigned long&, AudioBufferList&, AudioStreamPacketDescription*)
                              31 AudioConverterChain::RenderOutput(CABufferList*, unsigned long, unsigned long&, AudioStreamPacketDescription*)
                                31 BufferedAudioConverter::FillBuffer(unsigned long&, AudioBufferList&, AudioStreamPacketDescription*)
                                  31 CBRConverter::RenderOutput(CABufferList*, unsigned long, unsigned long&, AudioStreamPacketDescription*)
                                    31 BufferedAudioConverter::GetInputBytes(unsigned long, unsigned long&, CABufferList const*&)
                                      31 BufferedAudioConverter::FillBuffer(unsigned long&, AudioBufferList&, AudioStreamPacketDescription*)
                                        30 Resampler2Wrapper::RenderOutput(CABufferList*, unsigned long, unsigned long&)
                                          25 Resampler2::Process2(float*, float*, unsigned long, int)
                                            25 Resampler2::Convert(float*, float*, unsigned long, int)
                                              24 Resampler2::ConvertAltivec(float*, float*, unsigned long, int)
                                                24 Resampler2::ConvertAltivec(float*, float*, unsigned long, int)
                                              1 Resampler2::Convert(float*, float*, unsigned long, int)
                                          5 BufferedInputAudioConverter::GetAllInputBytes(unsigned long, unsigned long, unsigned long&, CABufferList const*&)
                                            5 BufferedInputAudioConverter::CallInputProc(unsigned long)
                                              5 AudioConverterChain::FillBufferFromInputProc(unsigned long*, unsigned long*, CABufferList*)
                                                5 AudioConverterChain::CallInputProc(unsigned long)
                                                  5 0x700de27b
                                                    4 0x700dee3f
                                                      4 DefaultOutputAUEntry
                                                        4 AUHighShelfFilterEntry
                                                          4 DefaultOutputAUEntry
                                                            4 DefaultOutputAUEntry
                                                              4 AudioConverterFillComplexBuffer
                                                                4 BufferedAudioConverter::FillBuffer(unsigned long&, AudioBufferList&, AudioStreamPacketDescription*)
                                                                  4 AudioConverterChain::RenderOutput(CABufferList*, unsigned long, unsigned long&, AudioStreamPacketDescription*)
                                                                    4 BufferedAudioConverter::FillBuffer(unsigned long&, AudioBufferList&, AudioStreamPacketDescription*)
                                                                      4 CBRConverter::RenderOutput(CABufferList*, unsigned long, unsigned long&, AudioStreamPacketDescription*)
                                                                        4 BufferedAudioConverter::GetInputBytes(unsigned long, unsigned long&, CABufferList const*&)
                                                                          3 BufferedAudioConverter::FillBuffer(unsigned long&, AudioBufferList&, AudioStreamPacketDescription*)
                                                                            3 CBRConverter::RenderOutput(CABufferList*, unsigned long, unsigned long&, AudioStreamPacketDescription*)
                                                                              3 BufferedAudioConverter::GetInputBytes(unsigned long, unsigned long&, CABufferList const*&)
                                                                                3 AudioConverterChain::FillBufferFromInputProc(unsigned long*, unsigned long*, CABufferList*)
                                                                                  3 AudioConverterChain::CallInputProc(unsigned long)
                                                                                    3 0x700de27b
                                                                                      3 0x700dee3f
                                                                                        3 DefaultOutputAUEntry
                                                                                          1 0x16c0cb89
                                                                                            1 0x16c0cb89
                                                                                          1 0x16c0cc53
                                                                                            1 0x16a0fd98
                                                                                              1 0x16a0fd98
                                                                                          1 0x16c0cc6a
                                                                                            1 0x16a143dc
                                                                                              1 0x16a1401e
                                                                                                1 __bzero
                                                                                                  1 __bzero
                                                                          1 CABufferList::AllocateBuffers(unsigned long)
                                                                            1 CABufferList::AllocateBuffers(unsigned long)
                                                    1 0x700dee1c
                                                      1 DefaultOutputAUEntry
                                                        1 DefaultOutputAUEntry
                                        1 SampleRateConverter::RenderOutput(CABufferList*, unsigned long, unsigned long&, AudioStreamPacketDescription*)
                                          1 SampleRateConverter::RenderOutput(CABufferList*, unsigned long, unsigned long&, AudioStreamPacketDescription*)
                          1 DefaultOutputAUEntry
                            1 DefaultOutputAUEntry
                              1 DefaultOutputAUEntry
                  29 IOA_SingleDevice::WriteOutputData(AudioTimeStamp const&, unsigned long)
                    29 iokit_user_client_trap
                      29 iokit_user_client_trap
              1 floor
                1 floor
    623 Thread_6c03
      623 _pthread_body
        623 PR_Select
          623 nsHostResolver::ThreadFunc(void*)
            623 nsHostResolver::OnLookupComplete(nsHostRecord*, unsigned, PRAddrInfo*)
              623 nsDNSAsyncRequest::OnLookupComplete(nsHostResolver*, nsHostRecord*, unsigned)
                623 nsCOMPtr_base::assign_with_AddRef(nsISupports*)
                  623 nsProxyEventObject::Release()
                    623 nsProxyEventObject::~nsProxyEventObject [in-charge]()
                      623 nsProxyEventObject::Release()
                        623 nsProxyEventObject::~nsProxyEventObject [in-charge]()
                          623 nsCOMPtr_base::assign_from_qi(nsQueryInterface, nsID const&)
                            623 nsQueryInterface::operator()(nsID const&, void**) const
                              623 nsXPCWrappedJS::QueryInterface(nsID const&, void**)
                                623 nsXPCWrappedJSClass::DelegatedQueryInterface(nsXPCWrappedJS*, nsID const&, void**)
                                  623 XPCCallContext::XPCCallContext[in-charge](XPCContext::LangType, JSContext*, JSObject*, JSObject*, long, unsigned, long*, long*)
                                    623 XPCJSContextStack::GetSafeJSContext(JSContext**)
                                      623 nsXPConnect::InitClasses(JSContext*, JSObject*)
                                        623 XPCWrappedNativeScope::GetNewOrUsed(XPCCallContext&, JSObject*)
                                          623 XPCWrappedNativeScope::SetGlobal(XPCCallContext&, JSObject*)
                                            623 js_GetProperty
                                              623 js_LookupProperty
                                                623 js_LookupPropertyWithFlags
                                                  623 XPCJSContextStack::Push(JSContext*)
                                                    623 JS_ResolveStandardClass
                                                      623 js_InitFunctionAndObjectClasses
                                                        623 js_InitFunctionClass
                                                          623 JS_InitClass
                                                            623 JS_DefineFunctions
                                                              623 JS_DefineFunction
                                                                623 js_Atomize
                                                                  623 js_AtomizeString
                                                                    623 js_Lock
                                                                      623 PR_WaitCondVar
                                                                        623 semaphore_wait_signal_trap
                                                                          623 semaphore_wait_signal_trap

Total number in stack (recursive counted multiple, when >=5):
        10       DefaultOutputAUEntry
        10       _pthread_body
        7       PR_Select
        7       PR_WaitCondVar
        6       BufferedAudioConverter::FillBuffer(unsigned long&, AudioBufferList&, AudioStreamPacketDescription*)

Sort by top of stack, same collapsed (when >= 5):
        semaphore_wait_signal_trap        2492
        semaphore_timedwait_signal_trap        2428
        mach_msg_trap        1246
        select        623
        iokit_user_client_trap        29
        Resampler2::ConvertAltivec(float*, float*, unsigned long, int)        24

*** This bug has been marked as a duplicate of 353962 ***
Status: UNCONFIRMED → RESOLVED
Closed: 14 years ago
Resolution: --- → DUPLICATE
You need to log in before you can comment on or make changes to this bug.